Index: tmp/org.txm.information.rcp/src/org/txm/information/rcp/editors/InformationEditor.java
===================================================================
--- tmp/org.txm.information.rcp/src/org/txm/information/rcp/editors/InformationEditor.java	(revision 0)
+++ tmp/org.txm.information.rcp/src/org/txm/information/rcp/editors/InformationEditor.java	(revision 702)
@@ -0,0 +1,84 @@
+package org.txm.information.rcp.editors;
+
+import java.io.File;
+
+import org.eclipse.swt.SWT;
+import org.eclipse.swt.browser.Browser;
+import org.eclipse.swt.layout.GridData;
+import org.eclipse.swt.layout.GridLayout;
+import org.eclipse.swt.layout.RowData;
+import org.eclipse.swt.widgets.Composite;
+import org.eclipse.swt.widgets.Label;
+import org.eclipse.swt.widgets.Spinner;
+import org.txm.core.results.Parameter;
+import org.txm.information.core.functions.Information;
+import org.txm.information.core.preferences.InformationPreferences;
+import org.txm.rcp.editors.TXMEditor;
+import org.txm.rcp.editors.listeners.ComputeSelectionListener;
+import org.txm.utils.logger.Log;
+
+/**
+ * Corpus, Subcorpus or Partition information editor.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ *
+ */
+public class InformationEditor extends TXMEditor<Information> {
+
+
+	/**
+	 * The browser to display the HTML file.
+	 */
+	private Browser browser;
+	
+	
+	/**
+	 * The maximum number of word property values to display.
+	 */
+	@Parameter(key=InformationPreferences.MAX_VALUE)
+	protected Spinner maxPropertiesToDisplay;
+
+
+
+	@Override
+	public void _createPartControl(Composite parent) {
+		
+		Composite parametersArea = this.getCommandParametersGroup();
+		
+		// label
+		new Label(parametersArea, SWT.NONE).setText("V max");
+
+		// spinner
+		this.maxPropertiesToDisplay = new Spinner(parametersArea, SWT.BORDER);
+		this.maxPropertiesToDisplay.setToolTipText("The maximum number of word property values to show");
+		this.maxPropertiesToDisplay.setMinimum(0);
+		RowData gdata = new RowData();
+		gdata.width = 100;
+		this.maxPropertiesToDisplay.setLayoutData(gdata);
+		this.maxPropertiesToDisplay.addSelectionListener(new ComputeSelectionListener(this));
+		
+		// browser
+		Composite displayArea = this.getResultArea();
+		displayArea.setLayout(new GridLayout(1, true));
+		this.browser = new Browser(displayArea, SWT.NONE);
+		this.browser.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, true));
+	}
+	
+	@Override
+	public void updateEditorFromResult(boolean update) {
+		File file = this.getResult().getHTMLFile();
+		if (file.exists()) {
+			this.browser.setUrl(file.getAbsolutePath());
+		}
+		else	{
+			Log.severe("Information HTML file doesn't exist."); //$NON-NLS-1$
+		}
+	}
+
+	@Override
+	public void updateResultFromEditor() {
+		// nothing to do
+	}
+
+}

Property changes on: tmp/org.txm.information.rcp/src/org/txm/information/rcp/editors/InformationEditor.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.information.rcp/src/org/txm/information/rcp/handlers/ComputeInformation.java
===================================================================
--- tmp/org.txm.information.rcp/src/org/txm/information/rcp/handlers/ComputeInformation.java	(revision 0)
+++ tmp/org.txm.information.rcp/src/org/txm/information/rcp/handlers/ComputeInformation.java	(revision 702)
@@ -0,0 +1,102 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.information.rcp.handlers;
+
+import org.eclipse.core.commands.ExecutionEvent;
+import org.eclipse.core.commands.ExecutionException;
+import org.eclipse.jface.viewers.IStructuredSelection;
+import org.eclipse.swt.SWT;
+import org.eclipse.ui.PartInitException;
+import org.eclipse.ui.handlers.HandlerUtil;
+import org.txm.information.core.functions.Information;
+import org.txm.information.rcp.editors.InformationEditor;
+import org.txm.information.rcp.messages.InformationUIMessages;
+import org.txm.rcp.editors.TXMEditor;
+import org.txm.rcp.handlers.BaseAbstractHandler;
+import org.txm.rcp.views.corpora.CorporaView;
+import org.txm.searchengine.cqp.CQPEngine;
+import org.txm.searchengine.cqp.corpus.Corpus;
+import org.txm.utils.logger.Log;
+
+/**
+ * Calls the function Information on a MainCorpus, a SubCorpus or a Partition.
+ * Displays basic statistics and gives some properties values. 
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ */
+public class ComputeInformation extends BaseAbstractHandler {
+	
+	// adds a double click listener to the Corpus View
+	static	{
+		CorporaView.addDoubleClickListener(Information.class, ComputeInformation.class);
+	}
+	
+	/** The selection. */
+	private IStructuredSelection selection;
+	
+	/** The response. */
+	int response = SWT.YES;
+
+
+	@Override
+	public Object execute(ExecutionEvent event) throws ExecutionException {
+		if (!CQPEngine.isInitialized()) {
+			System.out.println("SearchEngine is not ready. Aborting.");
+			return false;
+		}
+		
+		Object sel = HandlerUtil.getCurrentSelection(event);
+		if (!(sel instanceof IStructuredSelection)) {
+			Log.warning(InformationUIMessages.ComputeDiagnostic_0);
+			return null;
+		}
+		
+		selection = (IStructuredSelection) sel;
+		Object s = selection.getFirstElement();
+		Information diag = null;
+		if (s instanceof Corpus) {
+			diag = new Information((Corpus)s);
+		} else if (s instanceof Information) {
+			diag = (Information)s;
+		} else {
+			Log.severe("Selection not managed: " + s);
+		}
+		try {
+			open(diag);
+		} catch (PartInitException e) {
+			System.out.println("Error while opening editor: "+e.getLocalizedMessage());
+			Log.printStackTrace(e);
+		}
+		return null;
+	}
+	
+	public static void open(Information diag) throws PartInitException {
+		TXMEditor.openEditor(diag, InformationEditor.class.getName());
+	}
+}

Property changes on: tmp/org.txm.information.rcp/src/org/txm/information/rcp/handlers/ComputeInformation.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.information.rcp/src/org/txm/information/rcp/preferences/InformationPreferencePage.java
===================================================================
--- tmp/org.txm.information.rcp/src/org/txm/information/rcp/preferences/InformationPreferencePage.java	(revision 0)
+++ tmp/org.txm.information.rcp/src/org/txm/information/rcp/preferences/InformationPreferencePage.java	(revision 702)
@@ -0,0 +1,64 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.information.rcp.preferences;
+
+import org.eclipse.jface.preference.IntegerFieldEditor;
+import org.eclipse.ui.IWorkbench;
+import org.txm.core.messages.TXMCoreMessages;
+import org.txm.information.core.preferences.InformationPreferences;
+import org.txm.information.rcp.messages.InformationUIMessages;
+import org.txm.rcp.preferences.TXMPreferencePage;
+import org.txm.rcp.preferences.TXMPreferenceStore;
+import org.txm.searchengine.cqp.CQPPreferences;
+
+/**
+ * Information preferences page.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ *
+ */
+public class InformationPreferencePage extends TXMPreferencePage {
+
+		
+	@Override
+	public void init(IWorkbench workbench) {
+		this.setPreferenceStore(new TXMPreferenceStore(InformationPreferences.PREFERENCES_NODE));
+		this.setTitle(TXMCoreMessages.common_description);
+	}
+	
+
+	@Override
+	public void createFieldEditors() {
+		
+		// The maximum number of word property values to display
+		IntegerFieldEditor maxValue = new IntegerFieldEditor(InformationPreferences.MAX_VALUE, InformationUIMessages.DiagnosticPreferencePage_2, this.getFieldEditorParent());
+		maxValue.setValidRange(1, 9999);
+		this.addField(maxValue);
+	}
+}

Property changes on: tmp/org.txm.information.rcp/src/org/txm/information/rcp/preferences/InformationPreferencePage.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.information.rcp/src/org/txm/information/rcp/adapters/InformationAdapterFactory.java
===================================================================
--- tmp/org.txm.information.rcp/src/org/txm/information/rcp/adapters/InformationAdapterFactory.java	(revision 0)
+++ tmp/org.txm.information.rcp/src/org/txm/information/rcp/adapters/InformationAdapterFactory.java	(revision 702)
@@ -0,0 +1,40 @@
+// Copyright © 2010-2013 ENS de Lyon.
+package org.txm.information.rcp.adapters;
+
+import org.eclipse.jface.resource.ImageDescriptor;
+import org.eclipse.ui.model.IWorkbenchAdapter;
+import org.eclipse.ui.plugin.AbstractUIPlugin;
+import org.osgi.framework.FrameworkUtil;
+import org.txm.information.core.functions.Information;
+import org.txm.rcp.adapters.TXMResultAdapter;
+import org.txm.rcp.adapters.TXMResultAdapterFactory;
+
+
+/**
+ * 
+ *  
+ * @author mdecorde
+ * @author sjacquot
+ */
+public class InformationAdapterFactory extends TXMResultAdapterFactory {
+
+	public static final ImageDescriptor ICON =
+			AbstractUIPlugin.imageDescriptorFromPlugin(FrameworkUtil.getBundle(InformationAdapterFactory.class).getSymbolicName(),
+					"platform:/plugin/"+ FrameworkUtil.getBundle(InformationAdapterFactory.class).getSymbolicName() + "/icons/functions/information.png"); //$NON-NLS-1$ //$NON-NLS-2$
+
+	@Override
+	public Object getAdapter(Object adaptableObject, Class adapterType) {
+		if(adapterType == IWorkbenchAdapter.class && adaptableObject instanceof Information)	{
+			return new TXMResultAdapter() {
+				@Override
+				public ImageDescriptor getImageDescriptor(Object object) {
+					if (object instanceof Information) {
+							return ICON;
+					}
+					return null;
+				}
+			};
+		}
+		return null;
+	}
+}

Property changes on: tmp/org.txm.information.rcp/src/org/txm/information/rcp/adapters/InformationAdapterFactory.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.information.rcp/src/org/txm/information/rcp/messages/messages_ru.properties
===================================================================
--- tmp/org.txm.information.rcp/src/org/txm/information/rcp/messages/messages_ru.properties	(revision 0)
+++ tmp/org.txm.information.rcp/src/org/txm/information/rcp/messages/messages_ru.properties	(revision 702)
@@ -0,0 +1,13 @@
+
+CQPPreferencePage_0  = 
+CQPPreferencePage_1  = Использовать сетевой протокол
+CQPPreferencePage_10 = Удаленный &сервер CWB
+CQPPreferencePage_11 = Удаленный сервер: &имя машины
+CQPPreferencePage_12 = Удаленный сервер: &номер порта
+CQPPreferencePage_13 = Удаленный сервер: &логин
+CQPPreferencePage_14 = Удаленный сервер: &пароль
+CQPPreferencePage_15 = Путь к исполняемому &файлу 'cqpserver'
+CQPPreferencePage_17 = Путь к файлу инициализации сервера CWB
+CQPPreferencePage_18 = Дополнительные опции сервера CWB: 
+
+DiagnosticPreferencePage_2 = Число отображаемых значений свойства

Property changes on: tmp/org.txm.information.rcp/src/org/txm/information/rcp/messages/messages_ru.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.information.rcp/src/org/txm/information/rcp/messages/messages_fr.properties
===================================================================
--- tmp/org.txm.information.rcp/src/org/txm/information/rcp/messages/messages_fr.properties	(revision 0)
+++ tmp/org.txm.information.rcp/src/org/txm/information/rcp/messages/messages_fr.properties	(revision 702)
@@ -0,0 +1,13 @@
+﻿
+CQPPreferencePage_0  = Chemin vers CQPlib
+CQPPreferencePage_1  = Utiliser le protocole réseau
+CQPPreferencePage_10 = &Serveur CWB distant
+CQPPreferencePage_11 = Serveur distant : nom de machine
+CQPPreferencePage_12 = Serveur distant : numéro de &port
+CQPPreferencePage_13 = Serveur distant : &login
+CQPPreferencePage_14 = Serveur distant : &mot de passe
+CQPPreferencePage_15 = Chemin vers le fichier &exécutable 'cqpserver'
+CQPPreferencePage_17 = Chemin vers le fichier d'initialisation du serveur CWB
+CQPPreferencePage_18 = Options additionnelles pour le serveur CWB : 
+
+DiagnosticPreferencePage_2 = Nombre de valeurs de propriété affiché

Property changes on: tmp/org.txm.information.rcp/src/org/txm/information/rcp/messages/messages_fr.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.information.rcp/src/org/txm/information/rcp/messages/InformationUIMessages.java
===================================================================
--- tmp/org.txm.information.rcp/src/org/txm/information/rcp/messages/InformationUIMessages.java	(revision 0)
+++ tmp/org.txm.information.rcp/src/org/txm/information/rcp/messages/InformationUIMessages.java	(revision 702)
@@ -0,0 +1,38 @@
+package org.txm.information.rcp.messages;
+
+import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
+
+/**
+ * CAP UI messages.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ *
+ */
+public class InformationUIMessages extends NLS {
+	
+	private static final String BUNDLE_NAME = "org.txm.searchengine.cqp.rcp.messages.messages"; //$NON-NLS-1$
+	
+	public static String CQPPreferencePage_0;
+	public static String CQPPreferencePage_1;
+	public static String CQPPreferencePage_10;
+	public static String CQPPreferencePage_11;
+	public static String CQPPreferencePage_12;
+	public static String CQPPreferencePage_13;
+	public static String CQPPreferencePage_14;
+	public static String CQPPreferencePage_15;
+	public static String CQPPreferencePage_17;
+	public static String CQPPreferencePage_18;
+	
+	
+	public static String ComputeDiagnostic_0;
+
+	public static String DiagnosticPreferencePage_2;
+
+	
+	static {
+		// initialize resource bundle
+		Utf8NLS.initializeMessages(BUNDLE_NAME, InformationUIMessages.class);
+	}
+}

Property changes on: tmp/org.txm.information.rcp/src/org/txm/information/rcp/messages/InformationUIMessages.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.information.rcp/src/org/txm/information/rcp/messages/messages.properties
===================================================================
--- tmp/org.txm.information.rcp/src/org/txm/information/rcp/messages/messages.properties	(revision 0)
+++ tmp/org.txm.information.rcp/src/org/txm/information/rcp/messages/messages.properties	(revision 702)
@@ -0,0 +1,15 @@
+
+CQPPreferencePage_0  = CQPlib path
+CQPPreferencePage_1  = Use network protocol
+CQPPreferencePage_10 = &Remote CWB server address:
+CQPPreferencePage_11 = CWB server: &host:
+CQPPreferencePage_12 = CWB server: &port:
+CQPPreferencePage_13 = CWB server: &login:
+CQPPreferencePage_14 = CWB server: &password:
+CQPPreferencePage_15 = Path to CWB server binary
+CQPPreferencePage_17 = Path to CWB server initialization file
+CQPPreferencePage_18 = Additional &options for the CWB server:
+
+ComputeDiagnostic_0 = Selection is not structured
+
+DiagnosticPreferencePage_2 = Maximum values to display

Property changes on: tmp/org.txm.information.rcp/src/org/txm/information/rcp/messages/messages.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.information.rcp/build.properties
===================================================================
--- tmp/org.txm.information.rcp/build.properties	(revision 0)
+++ tmp/org.txm.information.rcp/build.properties	(revision 702)
@@ -0,0 +1,5 @@
+source.. = src/
+output.. = bin/
+bin.includes = META-INF/,\
+               .,\
+               plugin.xml

Property changes on: tmp/org.txm.information.rcp/build.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.information.rcp/OSGI-INF/l10n/bundle_fr.properties
===================================================================
--- tmp/org.txm.information.rcp/OSGI-INF/l10n/bundle_fr.properties	(revision 0)
+++ tmp/org.txm.information.rcp/OSGI-INF/l10n/bundle_fr.properties	(revision 702)
@@ -0,0 +1,4 @@
+command.label.49=Information
+command.label.48=Information
+
+page.name.9=Information

Property changes on: tmp/org.txm.information.rcp/OSGI-INF/l10n/bundle_fr.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.information.rcp/OSGI-INF/l10n/bundle.properties
===================================================================
--- tmp/org.txm.information.rcp/OSGI-INF/l10n/bundle.properties	(revision 0)
+++ tmp/org.txm.information.rcp/OSGI-INF/l10n/bundle.properties	(revision 702)
@@ -0,0 +1,4 @@
+command.label.49=Information
+command.label.48=Information
+
+page.name.9=Information
\ No newline at end of file

Property changes on: tmp/org.txm.information.rcp/OSGI-INF/l10n/bundle.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.information.rcp/OSGI-INF/l10n/bundle_ru.properties
===================================================================
--- tmp/org.txm.information.rcp/OSGI-INF/l10n/bundle_ru.properties	(revision 0)
+++ tmp/org.txm.information.rcp/OSGI-INF/l10n/bundle_ru.properties	(revision 702)
@@ -0,0 +1 @@
+page.name.9=Описание
\ No newline at end of file

Property changes on: tmp/org.txm.information.rcp/OSGI-INF/l10n/bundle_ru.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.information.rcp/icons/functions/information.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.information.rcp/icons/functions/information.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tmp/org.txm.information.rcp/plugin.xml
===================================================================
--- tmp/org.txm.information.rcp/plugin.xml	(revision 0)
+++ tmp/org.txm.information.rcp/plugin.xml	(revision 702)
@@ -0,0 +1,87 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<?eclipse version="3.4"?>
+<plugin>
+   <extension
+         point="org.eclipse.ui.preferencePages">
+      <page
+            category="org.txm.rcp.preferences.UserPreferencePage"
+            class="org.txm.information.rcp.preferences.InformationPreferencePage"
+            id="org.txm.information.rcp.preferences.InformationPreferencePage"
+            name="%page.name.9">
+      </page>
+   </extension>
+   <extension
+         point="org.eclipse.ui.commands">
+      <command
+            defaultHandler="org.txm.information.rcp.handlers.ComputeInformation"
+            id="org.txm.information.rcp.handlers.ComputeInformation"
+            name="Information">
+      </command>
+   </extension>
+   <extension
+         point="org.eclipse.ui.editors">
+      <editor
+            class="org.txm.information.rcp.editors.InformationEditor"
+            default="false"
+            icon="icons/functions/information.png"
+            id="org.txm.information.rcp.editors.InformationEditor"
+            name="Information">
+      </editor>
+   </extension>
+   <extension
+         point="org.eclipse.core.runtime.adapters">
+      <factory
+            adaptableType="org.txm.information.core.functions.Information"
+            class="org.txm.information.rcp.adapters.InformationAdapterFactory">
+         <adapter
+               type="org.eclipse.ui.model.IWorkbenchAdapter">
+         </adapter>
+      </factory>
+   </extension>
+   <extension
+         point="org.eclipse.ui.menus">
+      <menuContribution
+            locationURI="toolbar:org.txm.rcp.toolbarcorpus">
+         <command
+               commandId="org.txm.information.rcp.handlers.ComputeInformation"
+               icon="icons/functions/information.png"
+               style="push"
+               tooltip="Information">
+            <visibleWhen
+                  checkEnabled="false">
+               <reference
+                     definitionId="OneCorpusSelected">
+               </reference>
+            </visibleWhen>
+         </command>
+      </menuContribution>
+      <menuContribution
+            locationURI="popup:org.txm.rcp.views.corpora.CorporaView">
+         <command
+               commandId="org.txm.information.rcp.handlers.ComputeInformation"
+               icon="icons/functions/information.png"
+               style="push">
+            <visibleWhen
+                  checkEnabled="false">
+               <reference
+                     definitionId="OneCorpusSelected">
+               </reference>
+            </visibleWhen>
+         </command>
+      </menuContribution>
+      <menuContribution
+            locationURI="menu:menu.corpus">
+         <command
+               commandId="org.txm.information.rcp.handlers.ComputeInformation"
+               icon="icons/functions/information.png"
+               style="push">
+            <visibleWhen
+                  checkEnabled="false">
+               <reference
+                     definitionId="OneCorpusSelected">
+               </reference>
+            </visibleWhen>
+         </command>
+      </menuContribution>
+   </extension>
+</plugin>

Property changes on: tmp/org.txm.information.rcp/plugin.xml
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.information.rcp/.settings/org.eclipse.jdt.core.prefs
===================================================================
--- tmp/org.txm.information.rcp/.settings/org.eclipse.jdt.core.prefs	(revision 0)
+++ tmp/org.txm.information.rcp/.settings/org.eclipse.jdt.core.prefs	(revision 702)
@@ -0,0 +1,7 @@
+eclipse.preferences.version=1
+org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.6
+org.eclipse.jdt.core.compiler.compliance=1.6
+org.eclipse.jdt.core.compiler.problem.assertIdentifier=error
+org.eclipse.jdt.core.compiler.problem.enumIdentifier=error
+org.eclipse.jdt.core.compiler.source=1.6

Property changes on: tmp/org.txm.information.rcp/.settings/org.eclipse.jdt.core.prefs
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.information.rcp/.classpath
===================================================================
--- tmp/org.txm.information.rcp/.classpath	(revision 0)
+++ tmp/org.txm.information.rcp/.classpath	(revision 702)
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<classpath>
+	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry kind="src" path="src"/>
+	<classpathentry kind="output" path="bin"/>
+</classpath>

Property changes on: tmp/org.txm.information.rcp/.classpath
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.information.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.information.rcp/META-INF/MANIFEST.MF	(revision 0)
+++ tmp/org.txm.information.rcp/META-INF/MANIFEST.MF	(revision 702)
@@ -0,0 +1,13 @@
+Manifest-Version: 1.0
+Bundle-ManifestVersion: 2
+Bundle-Name: Information RCP
+Bundle-SymbolicName: org.txm.information.rcp;singleton:=true
+Bundle-Version: 1.0.0.qualifier
+Bundle-Vendor: Textometrie.org
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Require-Bundle: org.eclipse.ui;bundle-version="3.106.1",
+ org.txm.utils,
+ org.txm.searchengine.cqp.core;bundle-version="1.1.0",
+ org.txm.information.core;bundle-version="1.0.0",
+ org.eclipse.core.runtime;bundle-version="3.10.0",
+ org.txm.rcp;bundle-version="0.8.0"

Property changes on: tmp/org.txm.information.rcp/META-INF/MANIFEST.MF
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.information.rcp/.project
===================================================================
--- tmp/org.txm.information.rcp/.project	(revision 0)
+++ tmp/org.txm.information.rcp/.project	(revision 702)
@@ -0,0 +1,28 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+	<name>org.txm.information.rcp</name>
+	<comment></comment>
+	<projects>
+	</projects>
+	<buildSpec>
+		<buildCommand>
+			<name>org.eclipse.jdt.core.javabuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.eclipse.pde.ManifestBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.eclipse.pde.SchemaBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+	</buildSpec>
+	<natures>
+		<nature>org.eclipse.pde.PluginNature</nature>
+		<nature>org.eclipse.jdt.core.javanature</nature>
+	</natures>
+</projectDescription>

Property changes on: tmp/org.txm.information.rcp/.project
___________________________________________________________________
Added: svn:mime-type
   + text/plain

